package com.yonge.cooleshow.api.feign.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.common.enums.UserLockFlag;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 学生表
 */
public class StudentApi implements Serializable {
	private static final long serialVersionUID = 1L;
    private Long userId;
    /** 
    * 学员声部 
    */
    private String subjectId;
    /**
    * 会员等级 
    */
    private Long memberRankSettingId;
    /** 
    * 有效期开始时间 
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date membershipStartTime;
    /** 
    * 有效期结束时间 
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date membershipEndTime;
    /** 
    * 小酷Ai连续使用天数 
    */
    private Integer cloudStudySequenceDays;
    /** 
    * 小酷Ai最后使用日期 
    */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date cloudStudyUseLastDay;

    private UserLockFlag lockFlag;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public Long getMemberRankSettingId() {
        return memberRankSettingId;
    }

    public void setMemberRankSettingId(Long memberRankSettingId) {
        this.memberRankSettingId = memberRankSettingId;
    }

    public Date getMembershipStartTime() {
        return membershipStartTime;
    }

    public void setMembershipStartTime(Date membershipStartTime) {
        this.membershipStartTime = membershipStartTime;
    }

    public Date getMembershipEndTime() {
        return membershipEndTime;
    }

    public void setMembershipEndTime(Date membershipEndTime) {
        this.membershipEndTime = membershipEndTime;
    }

    public Integer getCloudStudySequenceDays() {
        return cloudStudySequenceDays;
    }

    public void setCloudStudySequenceDays(Integer cloudStudySequenceDays) {
        this.cloudStudySequenceDays = cloudStudySequenceDays;
    }

    public Date getCloudStudyUseLastDay() {
        return cloudStudyUseLastDay;
    }

    public void setCloudStudyUseLastDay(Date cloudStudyUseLastDay) {
        this.cloudStudyUseLastDay = cloudStudyUseLastDay;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public UserLockFlag getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(UserLockFlag lockFlag) {
        this.lockFlag = lockFlag;
    }
}